#!/usr/bin/env gnuplot -c
metall="coure"
outputfile="../output/".metall
datafolder="../data/".metall."/"

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 11cm, 8cm
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$t \, (\si{\second})$'
set ylabel '$T \, (\si{\celsius})$'

# Opcions per la llegenda:
set key above
set key spacing 1.5

set xtics 1000

plot datafolder.'10.dat' u 1:3:4 w yerr t '$x = \SI{10}{\centi\meter}$', \
     datafolder.'20.dat' u 1:3:4 w yerr t '$x = \SI{20}{\centi\meter}$', \
     datafolder.'30.dat' u 1:3:4 w yerr t '$x = \SI{30}{\centi\meter}$'

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'

replot
